Mageia 2022-0167: python-rencode security update | LinuxSecurity.com
MGASA-2022-0167 - Updated python-rencode packages fix security vulnerability

Publication date: 12 May 2022
URL: https://advisories.mageia.org/MGASA-2022-0167.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2021-40839

The rencode package through 1.0.6 for Python allows an infinite loop in
typecode decoding (such as via ;\x2f\x7f), enabling a remote attack that
consumes CPU and memory. (CVE-2021-40839)

References:
- https://bugs.mageia.org/show_bug.cgi?id=30051
- https://lists.fedoraproject.org/archives/list/[email protected]/thread/MCLETLGVM5DBX6QNHQFW6TWGO5T3DENY/
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-40839

SRPMS:
- 8/core/python-rencode-1.0.6-2.1.mga8

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.